DocValues (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.DocValues class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class DocValues

    java.lang.Object
      org.apache.solr.search.function.DocValues

Direct Known Subclasses:
  StringIndexDocValues

    public abstract class DocValues

extends Object

Represents field values as different types. Normally created via a `ValueSource` for a particular field and reader.

Version:
  $Id: DocValues.java 1140724 2011-06-28 17:00:20Z yonik $

Constructor Summary
`DocValues()`

Method Summary
`byte` | `byteVal(int doc)`
`void` | `byteVal(int doc, byte[] vals)`
`double` | `doubleVal(int doc)`
`void` | `doubleVal(int doc, double[] vals)`
`Explanation` | `explain(int doc)`
`float` | `floatVal(int doc)`
`void` | `floatVal(int doc, float[] vals)`
`ValueSourceScorer` | `getRangeScorer(IndexReader reader, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`
`ValueSourceScorer` | `getScorer(IndexReader reader)`
`int` | `intVal(int doc)`
`void` | `intVal(int doc, int[] vals)`
`long` | `longVal(int doc)`
`void` | `longVal(int doc, long[] vals)`
`short` | `shortVal(int doc)`
`void` | `shortVal(int doc, short[] vals)`
`String` | `strVal(int doc)`
`void` | `strVal(int doc, String[] vals)`
`abstract String` | `toString(int doc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocValues

    public DocValues()

Method Detail

### byteVal

    public byte byteVal(int doc)

### shortVal

    public short shortVal(int doc)

### floatVal

    public float floatVal(int doc)

### intVal

    public int intVal(int doc)

### longVal

    public long longVal(int doc)

### doubleVal

    public double doubleVal(int doc)

### strVal

    public String strVal(int doc)

### toString

    public abstract String toString(int doc)

### byteVal

    public void byteVal(int doc,
                        byte[] vals)

### shortVal

    public void shortVal(int doc,
                         short[] vals)

### floatVal

    public void floatVal(int doc,
                         float[] vals)

### intVal

    public void intVal(int doc,
                       int[] vals)

### longVal

    public void longVal(int doc,
                        long[] vals)

### doubleVal

    public void doubleVal(int doc,
                          double[] vals)

### strVal

    public void strVal(int doc,
                       String[] vals)

### explain

    public Explanation explain(int doc)

### getScorer

    public ValueSourceScorer getScorer(IndexReader reader)

### getRangeScorer

    public ValueSourceScorer getRangeScorer(IndexReader reader,
                                            String lowerVal,
                                            String upperVal,
                                            boolean includeLower,
                                            boolean includeUpper)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD